Get creator performance statistics
Read creator performance over a date range with daily, weekly or monthly aggregation. A null creator selects accessible creators; optionally include a creator breakdown. Reporting uses the employee's timezone.
/v1/agencies/{agencyId}/analytics/earningsRead creator performance over a date range with daily, weekly or monthly aggregation. A null creator selects accessible creators; optionally include a creator breakdown. Reporting uses the employee's timezone.
Authorization
bearerAuth In: header
Path Parameters
1 <= lengthQuery Parameters
"daily"Value in
- "daily"
- "weekly"
- "monthly"
falseResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/agencies/string/analytics/earnings?creatorId=string&startDate=string&endDate=string" \ -H "Authorization: Bearer YOUR_API_KEY"{ "data": { "fans": { "delta": 0, "subscribers": 0, "subscribes": [ { "date": "string", "count": 0 } ] }, "unlockRate": { "total": 0, "delta": 0, "chartData": [ { "date": "string", "count": 0 } ] }, "goldenRatio": { "total": 0, "delta": 0, "chartData": [ { "date": "string", "count": 0 } ] }, "earnings": { "total": 0, "chartAmount": [ { "date": "string", "count": 0 } ], "delta": 0, "totalGross": 0, "nativeRevenue": null }, "beingTalkedTo": 0, "averagePpvPaid": { "total": 0, "delta": 0, "chartData": [ { "date": "string", "count": 0 } ] }, "revenueByAi": { "total": 0, "delta": 0, "chartData": [ { "date": "string", "count": 0 } ] }, "revenueByOthers": { "total": 0, "delta": 0, "chartData": [ { "date": "string", "count": 0 } ] }, "newFans": { "delta": 0, "subscribers": 0, "subscribes": [ { "date": "string", "count": 0 } ] }, "activeFans": null, "returningFans": null, "hasFanFigures": true, "revenueByNewFans": null, "revenueByExistingFans": null, "ppvSent": { "total": 0, "delta": 0, "chartData": [ { "date": "string", "count": 0 } ] }, "ppvPaid": { "total": 0, "delta": 0, "chartData": [ { "date": "string", "count": 0 } ] }, "ltv": { "total": 0, "delta": 0, "chartData": [ { "date": "string", "count": 0 } ] }, "totalMessageSent": { "total": 0, "delta": 0, "chartData": [ { "date": "string", "count": 0 } ] }, "subscriptionEarning": { "total": 0, "chartAmount": [ { "date": "string", "count": 0 } ], "delta": 0, "totalGross": 0, "nativeRevenue": null }, "postsEarning": { "total": 0, "chartAmount": [ { "date": "string", "count": 0 } ], "delta": 0, "totalGross": 0, "nativeRevenue": null }, "messagesEarning": { "total": 0, "chartAmount": [ { "date": "string", "count": 0 } ], "delta": 0, "totalGross": 0, "nativeRevenue": null }, "tipsEarning": { "total": 0, "chartAmount": [ { "date": "string", "count": 0 } ], "delta": 0, "totalGross": 0, "nativeRevenue": null }, "referralsEarning": { "total": 0, "chartAmount": [ { "date": "string", "count": 0 } ], "delta": 0, "totalGross": 0, "nativeRevenue": null }, "streamsEarning": { "total": 0, "chartAmount": [ { "date": "string", "count": 0 } ], "delta": 0, "totalGross": 0, "nativeRevenue": null }, "creatorBreakdown": null }, "meta": { "requestId": "string" }}Get trial link statistics GET
Read OnlyFans trial-link performance for one creator per UTC day over the requested period: revenue and new fans who claimed the links. Optionally select one link.
Get agency creator statistics GET
Read a performance overview for selected accessible creators over a date range. Choose net or gross earnings; reporting uses the current employee's timezone.